# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "arg"
version = "0.4.4"
authors = ["Douman <douman@gmx.se>"]
build = false
include = [
    "**/*.rs",
    "Cargo.toml",
    "README.md",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Very simple code generator for command line argument parsing."
readme = "README.md"
keywords = [
    "argument",
    "cli",
    "arg",
    "parser",
    "parse",
]
categories = ["command-line-interface"]
license = "Apache-2.0"
repository = "https://github.com/DoumanAsh/arg.rs"

[package.metadata.docs.rs]
features = ["std"]

[features]
std = []

[lib]
name = "arg"
path = "src/lib.rs"

[[test]]
name = "args"
path = "tests/args.rs"

[dependencies.arg-derive]
version = "0.4.5"
